petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscGLLElementLaplacianCreate

computes the Laplacian for a single 1d GLL element

### Synopsis

    PetscErrorCode PetscGLLElementLaplacianCreate(PetscGLL *gll,PetscReal ***AA)

Not Collective

### Input Parameter

gll - the nodes

### Output Parameter

A - the stiffness element

### Notes

Destroy this with PetscGLLElementLaplacianDestroy()

You can access entries in this array with AA[i][j] but in memory it is stored in contiguous memory, row oriented (the array is symmetric)

### See Also

PetscGLL, PetscGLLDestroy(), PetscGLLView(), PetscGLLElementLaplacianDestroy()

### Level

beginner

### Location

src/sys/classes/gll/petscgll.c

### Examples

src/ksp/ksp/examples/tutorials/ex68.c.html
src/ksp/ksp/examples/tutorials/ex69.c.html
src/ts/examples/tutorials/ex50.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages